> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract the ADSL proxy list



## OpenAPI

````yaml /openapi/adsl-http-proxy.json post /adsl/extract
openapi: 3.0.0
info:
  title: ADSL Direct Connection Proxy
  version: 1.0.0
  description: API reference for ADSL Direct Connection Proxy on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /adsl/extract:
    post:
      summary: Extract the ADSL proxy list
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Adsl Extract Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                isp:
                  enum:
                    - 电信
                    - 联通
                    - 移动
                  type: string
                  description: Adsl Extract Isp
                city:
                  type: string
                  description: Adsl Extract City
                type:
                  enum:
                    - http
                    - socks
                  type: string
                  description: Adsl Extract Type
                dedup:
                  type: boolean
                  example: false
                  description: Adsl Extract Dedup
                number:
                  type: number
                  example: 1
                  description: Adsl Extract Number
                duration:
                  enum:
                    - 60
                    - 180
                    - 300
                  type: number
                  description: Adsl Extract Duration
                province:
                  type: string
                  example: 广东
                  description: Adsl Extract Province
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - ip: 36.25.122.184
                      city: ''
                      port: 23456
                      proxy: 36.25.122.184:23456
                      province: ''
                      dialed_at: 1715879221.805
                      expire_at: 1715879601.805
                      outbound_ip: 36.25.122.184
                  success: true
                  trace_id: 932f81e9-f78e-4321-9985-c3eeefd832e0
                properties:
                  data:
                    type: array
                    description: Adsl Extract Response 200 Data
                    items:
                      type: object
                      properties:
                        ip:
                          type: string
                          description: Adsl Extract Response 200 Data Ip
                        city:
                          type: string
                          description: Adsl Extract Response 200 Data City
                        port:
                          type: integer
                          description: Adsl Extract Response 200 Data Port
                        proxy:
                          type: string
                          description: Adsl Extract Response 200 Data Proxy
                        province:
                          type: string
                          description: Adsl Extract Response 200 Data Province
                        dialed_at:
                          type: number
                          description: Adsl Extract Response 200 Data Dialed At
                        expire_at:
                          type: number
                          description: Adsl Extract Response 200 Data Expire At
                        outbound_ip:
                          type: string
                          description: Adsl Extract Response 200 Data Outbound Ip
                  success:
                    type: boolean
                    description: Adsl Extract Response 200 Success
                  trace_id:
                    type: string
                    description: Adsl Extract Response 200 Trace Id
          description: Adsl Extract Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Adsl Extract Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Adsl Extract Response 400 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Adsl Extract Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Adsl Extract Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Adsl Extract Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Adsl Extract Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Adsl Extract Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Adsl Extract Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Adsl Extract Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Adsl Extract Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Adsl Extract Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Adsl Extract Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Adsl Extract Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Adsl Extract Response 400 Trace Id 5
          description: Adsl Extract Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Adsl Extract Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Adsl Extract Response 401 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Adsl Extract Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Adsl Extract Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Adsl Extract Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Adsl Extract Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Adsl Extract Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Adsl Extract Response 401 Trace Id 3
          description: Adsl Extract Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Adsl Extract Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Adsl Extract Response 403 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 403 Trace Id
          description: Adsl Extract Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Adsl Extract Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Adsl Extract Response 404 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 404 Trace Id
          description: Adsl Extract Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Adsl Extract Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Adsl Extract Response 429 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 429 Trace Id
          description: Adsl Extract Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Adsl Extract Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Adsl Extract Response 500 Error Message
                      trace_id:
                        type: string
                        description: Adsl Extract Response 500 Trace Id
          description: Adsl Extract Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````